Package org.silverpeas.components.mydb.model

## Class MyDBConnectionInfoRepository

- java.lang.Object
- - org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository<E>
  - - org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository<MyDBConnectionInfo>
    - - org.silverpeas.components.mydb.model.MyDBConnectionInfoRepository

- All Implemented Interfaces:
    `org.silverpeas.core.persistence.datasource.repository.EntityRepository<MyDBConnectionInfo>`, `org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush<MyDBConnectionInfo>`

      @Repository
      public class MyDBConnectionInfoRepository
      extends org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository<MyDBConnectionInfo>

  Repository of `MyDBConnectionInfo` objects. It wraps the access to the data source in which the `MyDBConnectionInfo` instances are persisted.
  Author:
    mmoquillon

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MyDBConnectionInfoRepository()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deleteByInstanceId​(String instanceId)` |
    `List<MyDBConnectionInfo>` | `findByInstanceId​(String instanceId)` | Finds all the connection information registered in the specified component instance.

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository

      `deleteByComponentInstanceId, saveAndFlush`

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository

      `contains, countByCriteria, countFromJpqlString, delete, deleteById, deleteFromJpqlQuery, deleteFromNamedQuery, findByCriteria, findByNamedQuery, findFirstByNamedQuery, flush, getAll, getById, getById, getEntityClass, getEntityManager, getFromJpqlString, getFromJpqlString, getFromNamedQuery, getFromNamedQuery, getIdentifierConverter, getMaximumItemsInClause, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromNamedQuery, listFromNamedQuery, newNamedParameters, noParameter, save, setMaximumItemsInClause, split, streamByNamedQuery, streamByNamedQuery, streamFromJpqlString, streamFromJpqlString, updateFromJpqlQuery, updateFromNamedQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.EntityRepository

      `delete, deleteById, getById, save, save`

- - ### Constructor Detail

    - #### MyDBConnectionInfoRepository

          public MyDBConnectionInfoRepository()

  - ### Method Detail

    - #### findByInstanceId

          public List<MyDBConnectionInfo> findByInstanceId​(String instanceId)

      Finds all the connection information registered in the specified component instance.
      Parameters:
        `instanceId` - the unique identifier of the component instance.
      Returns:
        a list of data source connection information.

    - #### deleteByInstanceId

          public void deleteByInstanceId​(String instanceId)